commit 6aa228854af8c4f7e5911b7784c44e9e4a237ac7
Author: Milan Horínek <horinek@milanfon.cz>
Date:   Wed Apr 26 12:40:15 2023 +0200

    TimeBar upraven pro learning phase a je fční

diff --git a/workdir/Asociace/Assets/Scenes/Task.unity b/workdir/Asociace/Assets/Scenes/Task.unity
index f87cd3dca..f6c923e7f 100644
--- a/workdir/Asociace/Assets/Scenes/Task.unity
+++ b/workdir/Asociace/Assets/Scenes/Task.unity
@@ -238,44 +238,6 @@ Transform:
   m_Father: {fileID: 0}
   m_RootOrder: 2
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
---- !u!1 &178914313
-GameObject:
-  m_ObjectHideFlags: 0
-  m_CorrespondingSourceObject: {fileID: 0}
-  m_PrefabInstance: {fileID: 0}
-  m_PrefabAsset: {fileID: 0}
-  serializedVersion: 6
-  m_Component:
-  - component: {fileID: 178914314}
-  m_Layer: 5
-  m_Name: Linear Timer
-  m_TagString: Untagged
-  m_Icon: {fileID: 0}
-  m_NavMeshLayer: 0
-  m_StaticEditorFlags: 0
-  m_IsActive: 0
---- !u!224 &178914314
-RectTransform:
-  m_ObjectHideFlags: 0
-  m_CorrespondingSourceObject: {fileID: 0}
-  m_PrefabInstance: {fileID: 0}
-  m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 178914313}
-  m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
-  m_LocalPosition: {x: 0, y: 0, z: 0}
-  m_LocalScale: {x: 1, y: 1, z: 1}
-  m_ConstrainProportionsScale: 0
-  m_Children:
-  - {fileID: 575894190}
-  - {fileID: 503215545}
-  m_Father: {fileID: 291388079}
-  m_RootOrder: 0
-  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0.5, y: 0.5}
-  m_AnchorMax: {x: 0.5, y: 0.5}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 100, y: 100}
-  m_Pivot: {x: 0.5, y: 0.5}
 --- !u!1 &255239378
 GameObject:
   m_ObjectHideFlags: 0
@@ -384,7 +346,6 @@ RectTransform:
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_ConstrainProportionsScale: 0
   m_Children:
-  - {fileID: 178914314}
   - {fileID: 2016511102}
   m_Father: {fileID: 52936798}
   m_RootOrder: 0
@@ -608,82 +569,6 @@ MonoBehaviour:
   m_Script: {fileID: 11500000, guid: 4cd992087213c124fac4c6dd9cba41d2, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
---- !u!1 &503215544
-GameObject:
-  m_ObjectHideFlags: 0
-  m_CorrespondingSourceObject: {fileID: 0}
-  m_PrefabInstance: {fileID: 0}
-  m_PrefabAsset: {fileID: 0}
-  serializedVersion: 6
-  m_Component:
-  - component: {fileID: 503215545}
-  - component: {fileID: 503215547}
-  - component: {fileID: 503215546}
-  m_Layer: 5
-  m_Name: Timer
-  m_TagString: Untagged
-  m_Icon: {fileID: 0}
-  m_NavMeshLayer: 0
-  m_StaticEditorFlags: 0
-  m_IsActive: 1
---- !u!224 &503215545
-RectTransform:
-  m_ObjectHideFlags: 0
-  m_CorrespondingSourceObject: {fileID: 0}
-  m_PrefabInstance: {fileID: 0}
-  m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 503215544}
-  m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
-  m_LocalPosition: {x: 0, y: 0, z: 0}
-  m_LocalScale: {x: 1, y: 1, z: 1}
-  m_ConstrainProportionsScale: 0
-  m_Children: []
-  m_Father: {fileID: 178914314}
-  m_RootOrder: 1
-  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0.5, y: 0.5}
-  m_AnchorMax: {x: 0.5, y: 0.5}
-  m_AnchoredPosition: {x: 0, y: 410}
-  m_SizeDelta: {x: 1600, y: 50}
-  m_Pivot: {x: 0.5, y: 0.5}
---- !u!114 &503215546
-MonoBehaviour:
-  m_ObjectHideFlags: 0
-  m_CorrespondingSourceObject: {fileID: 0}
-  m_PrefabInstance: {fileID: 0}
-  m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 503215544}
-  m_Enabled: 1
-  m_EditorHideFlags: 0
-  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
-  m_Name: 
-  m_EditorClassIdentifier: 
-  m_Material: {fileID: 0}
-  m_Color: {r: 1, g: 1, b: 1, a: 1}
-  m_RaycastTarget: 1
-  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
-  m_Maskable: 1
-  m_OnCullStateChanged:
-    m_PersistentCalls:
-      m_Calls: []
-  m_Sprite: {fileID: 0}
-  m_Type: 0
-  m_PreserveAspect: 0
-  m_FillCenter: 1
-  m_FillMethod: 4
-  m_FillAmount: 1
-  m_FillClockwise: 1
-  m_FillOrigin: 0
-  m_UseSpriteMesh: 0
-  m_PixelsPerUnitMultiplier: 1
---- !u!222 &503215547
-CanvasRenderer:
-  m_ObjectHideFlags: 0
-  m_CorrespondingSourceObject: {fileID: 0}
-  m_PrefabInstance: {fileID: 0}
-  m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 503215544}
-  m_CullTransparentMesh: 1
 --- !u!1 &548860521
 GameObject:
   m_ObjectHideFlags: 0
@@ -805,82 +690,6 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 548860521}
   m_CullTransparentMesh: 0
---- !u!1 &575894189
-GameObject:
-  m_ObjectHideFlags: 0
-  m_CorrespondingSourceObject: {fileID: 0}
-  m_PrefabInstance: {fileID: 0}
-  m_PrefabAsset: {fileID: 0}
-  serializedVersion: 6
-  m_Component:
-  - component: {fileID: 575894190}
-  - component: {fileID: 575894192}
-  - component: {fileID: 575894191}
-  m_Layer: 5
-  m_Name: Background
-  m_TagString: Untagged
-  m_Icon: {fileID: 0}
-  m_NavMeshLayer: 0
-  m_StaticEditorFlags: 0
-  m_IsActive: 1
---- !u!224 &575894190
-RectTransform:
-  m_ObjectHideFlags: 0
-  m_CorrespondingSourceObject: {fileID: 0}
-  m_PrefabInstance: {fileID: 0}
-  m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 575894189}
-  m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
-  m_LocalPosition: {x: 0, y: 0, z: 0}
-  m_LocalScale: {x: 1, y: 1, z: 1}
-  m_ConstrainProportionsScale: 0
-  m_Children: []
-  m_Father: {fileID: 178914314}
-  m_RootOrder: 0
-  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0.5, y: 0.5}
-  m_AnchorMax: {x: 0.5, y: 0.5}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 100, y: 100}
-  m_Pivot: {x: 0.5, y: 0.5}
---- !u!114 &575894191
-MonoBehaviour:
-  m_ObjectHideFlags: 0
-  m_CorrespondingSourceObject: {fileID: 0}
-  m_PrefabInstance: {fileID: 0}
-  m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 575894189}
-  m_Enabled: 1
-  m_EditorHideFlags: 0
-  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
-  m_Name: 
-  m_EditorClassIdentifier: 
-  m_Material: {fileID: 0}
-  m_Color: {r: 1, g: 1, b: 1, a: 1}
-  m_RaycastTarget: 1
-  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
-  m_Maskable: 1
-  m_OnCullStateChanged:
-    m_PersistentCalls:
-      m_Calls: []
-  m_Sprite: {fileID: 0}
-  m_Type: 0
-  m_PreserveAspect: 0
-  m_FillCenter: 1
-  m_FillMethod: 4
-  m_FillAmount: 1
-  m_FillClockwise: 1
-  m_FillOrigin: 0
-  m_UseSpriteMesh: 0
-  m_PixelsPerUnitMultiplier: 1
---- !u!222 &575894192
-CanvasRenderer:
-  m_ObjectHideFlags: 0
-  m_CorrespondingSourceObject: {fileID: 0}
-  m_PrefabInstance: {fileID: 0}
-  m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 575894189}
-  m_CullTransparentMesh: 0
 --- !u!1 &592277027 stripped
 GameObject:
   m_CorrespondingSourceObject: {fileID: 3273375275079608362, guid: a161351dad8005042a0762080e834225, type: 3}
@@ -2423,7 +2232,7 @@ MonoBehaviour:
   continue: {fileID: 924096750}
   border: {fileID: 1357186458}
   examining: {fileID: 1967963960}
-  LinearTimer: {fileID: 178914313}
+  LinearTimer: {fileID: 0}
   TextObjects: {fileID: 2016511101}
 --- !u!114 &1896176084
 MonoBehaviour:
@@ -2521,7 +2330,7 @@ RectTransform:
   - {fileID: 310863375}
   - {fileID: 255239379}
   m_Father: {fileID: 291388079}
-  m_RootOrder: 1
+  m_RootOrder: 0
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0.5, y: 0.5}
   m_AnchorMax: {x: 0.5, y: 0.5}
diff --git a/workdir/Asociace/Assets/Scripts/Ui/Components/TimeBar.cs b/workdir/Asociace/Assets/Scripts/Ui/Components/TimeBar.cs
index ea9ab7e5c..81abd5eaf 100644
--- a/workdir/Asociace/Assets/Scripts/Ui/Components/TimeBar.cs
+++ b/workdir/Asociace/Assets/Scripts/Ui/Components/TimeBar.cs
@@ -2,6 +2,7 @@
 using Data.Output;
 using Tools;
 using Ui.MainCameras;
+using Unity.VisualScripting;
 using UnityEngine;
 using UnityEngine.UI;
 
@@ -25,12 +26,16 @@ namespace Ui.Components
         /// </summary>
         private static float startGameTime;
 
-        public static bool learningPart;
+        public bool learningPart = false;
 
         static TimeBar()
         {
             currentMaxTime = -1;
-            learningPart = false;
+        }
+
+        public void SetLearningPart(bool lp)
+        {
+            learningPart = lp;
         }
 
         private void Start()
@@ -41,6 +46,12 @@ namespace Ui.Components
 
         private void Update()
         {
+            if (learningPart)
+            {
+                ShowCurrentState();
+                return;
+            }
+
             if (RealTime.GameTimeIsActive && currentMaxTime >= 0)
             {
                 if ((RealTime.GameTime - startGameTime) >= currentMaxTime)
@@ -78,6 +89,13 @@ namespace Ui.Components
             }
         }
 
+        public void LearningPhase()
+        {
+            currentMaxTime = 2;
+            startGameTime = RealTime.GameTime;
+            SetSizeAccordingCurrentRemainingTime();
+        }
+
         /// <summary>
         /// Calculate the ratio of the remaining time and call the SetSize function.
         /// </summary>
diff --git a/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs b/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
index a7f107ff9..ee9ed3331 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
@@ -138,7 +138,7 @@ namespace Ui.MainCameras
         {
             DataCollector.Instance.NewRound(RealTime.TotalTime);
 
-            timeBar.NextRound();
+            //timeBar.NextRound();
 
             trafficLight.gameObject.SetActive(true);
 
@@ -153,6 +153,7 @@ namespace Ui.MainCameras
         {
             // TODO
 
+            
             TaskStrings.SetTaskTitleText(ConfigFiles.Inputs.TitleGameRound.ToString());
             TaskStrings.SetContinueButtonText(ConfigFiles.Inputs.Skip.ToString());
 
@@ -432,9 +433,16 @@ namespace Ui.MainCameras
         // ------------ TEMPLATE ------------
         // ----------------------------------
 
-        private void LearningPhase()
+        private void LearningPhase(bool firstCall = false)
         {
+            if (!LearningPart)
+            timeBar.SetLearningPart(true);
+            timeBar.LearningPhase();
+        }
 
+        private void ShowLearningPhase(bool show = true)
+        {
+            TextObjects.SetActive(show);
         }
 
         private void AfterOptionClickControl(bool correct, string clickID = null)
diff --git a/workdir/Asociace/UserSettings/Layouts/default-2021.dwlt b/workdir/Asociace/UserSettings/Layouts/default-2021.dwlt
index 819a0fde2..3b3f6e9fd 100644
--- a/workdir/Asociace/UserSettings/Layouts/default-2021.dwlt
+++ b/workdir/Asociace/UserSettings/Layouts/default-2021.dwlt
@@ -19,7 +19,7 @@ MonoBehaviour:
     width: 1278
     height: 1348
   m_ShowMode: 4
-  m_Title: Game
+  m_Title: Hierarchy
   m_RootView: {fileID: 6}
   m_MinSize: {x: 875, y: 300}
   m_MaxSize: {x: 10000, y: 10000}
@@ -68,8 +68,8 @@ MonoBehaviour:
     y: 0
     width: 295
     height: 1298
-  m_MinSize: {x: 276, y: 71}
-  m_MaxSize: {x: 4001, y: 4021}
+  m_MinSize: {x: 275, y: 50}
+  m_MaxSize: {x: 4000, y: 4000}
   m_ActualView: {fileID: 13}
   m_Panes:
   - {fileID: 13}
@@ -268,8 +268,8 @@ MonoBehaviour:
     y: 0
     width: 747
     height: 769
-  m_MinSize: {x: 202, y: 221}
-  m_MaxSize: {x: 4002, y: 4021}
+  m_MinSize: {x: 200, y: 200}
+  m_MaxSize: {x: 4000, y: 4000}
   m_ActualView: {fileID: 15}
   m_Panes:
   - {fileID: 15}
@@ -330,9 +330,9 @@ MonoBehaviour:
     m_IsLocked: 0
   m_FolderTreeState:
     scrollPos: {x: 0, y: 0}
-    m_SelectedIDs: 985a0000
-    m_LastClickedID: 23192
-    m_ExpandedIDs: 00000000985a000000ca9a3bffffff7f
+    m_SelectedIDs: 9c5a0000
+    m_LastClickedID: 23196
+    m_ExpandedIDs: 000000009c5a000000ca9a3bffffff7f
     m_RenameOverlay:
       m_UserAcceptedRename: 0
       m_Name: 
@@ -360,7 +360,7 @@ MonoBehaviour:
     scrollPos: {x: 0, y: 0}
     m_SelectedIDs: 
     m_LastClickedID: 0
-    m_ExpandedIDs: 00000000985a0000
+    m_ExpandedIDs: 000000009c5a0000
     m_RenameOverlay:
       m_UserAcceptedRename: 0
       m_Name: 
@@ -488,9 +488,9 @@ MonoBehaviour:
   m_SceneHierarchy:
     m_TreeViewState:
       scrollPos: {x: 0, y: 0}
-      m_SelectedIDs: 
-      m_LastClickedID: 0
-      m_ExpandedIDs: 36fbffff
+      m_SelectedIDs: 18580000
+      m_LastClickedID: 22552
+      m_ExpandedIDs: 36fbffff525700006c57000070570000bc570000c657000024580000
       m_RenameOverlay:
         m_UserAcceptedRename: 0
         m_Name: 
